XPathConstants (Java Platform SE 8 )
Keywords: javax.xml.xpath.XPathConstants class
Date: 2018-07-01

compact2, compact3
javax.xml.xpath

## Class XPathConstants

- java.lang.Object
- - javax.xml.xpath.XPathConstants

-     public class XPathConstants
      extends Object

  XPath constants.

  Since:
    1.5
  See Also:
    XML Path Language (XPath) Version 1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QName` | `BOOLEAN` The XPath 1.0 boolean data type.
    `static String` | `DOM_OBJECT_MODEL` The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".
    `static QName` | `NODE` The XPath 1.0 NodeSet data type.
    `static QName` | `NODESET` The XPath 1.0 NodeSet data type.
    `static QName` | `NUMBER` The XPath 1.0 number data type.
    `static QName` | `STRING` The XPath 1.0 string data type.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUMBER

          public static final QName NUMBER

      The XPath 1.0 number data type.

      Maps to Java `Double`.

    - #### STRING

          public static final QName STRING

      The XPath 1.0 string data type.

      Maps to Java `String`.

    - #### BOOLEAN

          public static final QName BOOLEAN

      The XPath 1.0 boolean data type.

      Maps to Java `Boolean`.

    - #### NODESET

          public static final QName NODESET

      The XPath 1.0 NodeSet data type.

      Maps to Java `NodeList`.

    - #### NODE

          public static final QName NODE

      The XPath 1.0 NodeSet data type.

      Maps to Java `Node`.

    - #### DOM_OBJECT_MODEL

          public static final String DOM_OBJECT_MODEL

      The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".

      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.